net.sourceforge.pmd.cpd

## Class Match

- java.lang.Object
- - net.sourceforge.pmd.cpd.Match

All Implemented Interfaces:
  Comparable<Match>

    public class Match
    extends Object
    implements Comparable<Match>

### Field Summary

Fields
`static Comparator<Match>` `LABEL_COMPARATOR`
`static Comparator<Match>` `LENGTH_COMPARATOR`
`static Comparator<Match>` `LINES_COMPARATOR`
`static Comparator<Match>` `MATCHES_COMPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`Match(int tokenCount, TokenEntry first, TokenEntry second)`

### Method Summary

Methods
`void` `addTokenEntry(TokenEntry entry)`
`int` `compareTo(Match other)`
`int` `getEndIndex()`
`TokenEntry` `getFirstMark()`
`String` `getLabel()`
`int` `getLineCount()`
`int` `getMarkCount()`
`Set<TokenEntry>` `getMarkSet()`
`TokenEntry` `getSecondMark()`
`String` `getSourceCodeSlice()`
`int` `getTokenCount()`
`Iterator<TokenEntry>` `iterator()`
`void` `setLabel(String aLabel)`
`void` `setLineCount(int lineCount)`
`void` `setMarkSet(Set<TokenEntry> markSet)`
`void` `setSourceCodeSlice(String code)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### MATCHES_COMPARATOR

    public static final Comparator<Match> MATCHES_COMPARATOR

#### LINES_COMPARATOR

    public static final Comparator<Match> LINES_COMPARATOR

#### LABEL_COMPARATOR

    public static final Comparator<Match> LABEL_COMPARATOR

#### LENGTH_COMPARATOR

    public static final Comparator<Match> LENGTH_COMPARATOR

### Constructor Detail

#### Match

    public Match(int tokenCount,
         TokenEntry first,
         TokenEntry second)

### Method Detail

#### getMarkCount

    public int getMarkCount()

#### setLineCount

    public void setLineCount(int lineCount)

#### getLineCount

    public int getLineCount()

#### getTokenCount

    public int getTokenCount()

#### getSourceCodeSlice

    public String getSourceCodeSlice()

#### setSourceCodeSlice

    public void setSourceCodeSlice(String code)

#### iterator

    public Iterator<TokenEntry> iterator()

#### compareTo

    public int compareTo(Match other)

Specified by:
  `compareTo` in interface `Comparable<Match>`

#### getFirstMark

    public TokenEntry getFirstMark()

#### getSecondMark

    public TokenEntry getSecondMark()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getMarkSet

    public Set<TokenEntry> getMarkSet()

#### getEndIndex

    public int getEndIndex()

#### setMarkSet

    public void setMarkSet(Set<TokenEntry> markSet)

#### setLabel

    public void setLabel(String aLabel)

#### getLabel

    public String getLabel()

#### addTokenEntry

    public void addTokenEntry(TokenEntry entry)